List email validation credit ledger entries
curl --request GET \
--url https://api.mailglyph.com/v1/verification-credits/ledger \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mailglyph.com/v1/verification-credits/ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mailglyph.com/v1/verification-credits/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailglyph.com/v1/verification-credits/ledger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailglyph.com/v1/verification-credits/ledger"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mailglyph.com/v1/verification-credits/ledger")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailglyph.com/v1/verification-credits/ledger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"items": [
{
"id": "2f4c658f-4b5b-4a19-8d52-36f22d6f4566",
"seq": 9182,
"type": "CONSUME",
"creditsDelta": -1,
"balanceAfter": 4820,
"source": "single_api",
"status": "Valid",
"createdAt": "2026-06-17T10:15:30.000Z"
},
{
"id": "a1559ed0-3f24-4c8c-9051-50f2b813f0af",
"seq": 9181,
"type": "REFUND",
"creditsDelta": 1,
"balanceAfter": 4821,
"source": "single_api",
"status": "Unknown",
"createdAt": "2026-06-17T10:13:02.000Z"
},
{
"id": "cc2fd351-71a3-4b76-861c-58f1f2d7d4a5",
"seq": 9000,
"type": "PURCHASE",
"creditsDelta": 5000,
"balanceAfter": 5000,
"source": "stripe_checkout",
"status": null,
"createdAt": "2026-06-16T14:22:10.000Z"
}
],
"nextCursor": "9000"
}
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}Email Validation
List email validation credit ledger
List recent email validation credit ledger entries for the project attached to your secret API key.
GET
/
v1
/
verification-credits
/
ledger
List email validation credit ledger entries
curl --request GET \
--url https://api.mailglyph.com/v1/verification-credits/ledger \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.mailglyph.com/v1/verification-credits/ledger"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.mailglyph.com/v1/verification-credits/ledger', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.mailglyph.com/v1/verification-credits/ledger",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.mailglyph.com/v1/verification-credits/ledger"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.mailglyph.com/v1/verification-credits/ledger")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.mailglyph.com/v1/verification-credits/ledger")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"items": [
{
"id": "2f4c658f-4b5b-4a19-8d52-36f22d6f4566",
"seq": 9182,
"type": "CONSUME",
"creditsDelta": -1,
"balanceAfter": 4820,
"source": "single_api",
"status": "Valid",
"createdAt": "2026-06-17T10:15:30.000Z"
},
{
"id": "a1559ed0-3f24-4c8c-9051-50f2b813f0af",
"seq": 9181,
"type": "REFUND",
"creditsDelta": 1,
"balanceAfter": 4821,
"source": "single_api",
"status": "Unknown",
"createdAt": "2026-06-17T10:13:02.000Z"
},
{
"id": "cc2fd351-71a3-4b76-861c-58f1f2d7d4a5",
"seq": 9000,
"type": "PURCHASE",
"creditsDelta": 5000,
"balanceAfter": 5000,
"source": "stripe_checkout",
"status": null,
"createdAt": "2026-06-16T14:22:10.000Z"
}
],
"nextCursor": "9000"
}
}{
"code": 123,
"error": "<string>",
"message": "<string>",
"time": 123
}Authorizations
API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. Workspaces can have multiple active keys, and sender-domain operations enforce per-key domain scope when configured.
Query Parameters
Maximum number of ledger entries to return. Values are clamped between 1 and 100.
Required range:
1 <= x <= 100Cursor returned by the previous page.

